DrillDown (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.search.DrillDown class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class DrillDown

    java.lang.Object
      org.apache.lucene.facet.search.DrillDown

    public final class DrillDown

extends Object

Creation of drill down term or query.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DrillDown()`

Method Summary
`static org.apache.lucene.search.Query` | `query(FacetIndexingParams iParams, CategoryPath... paths)` Return a query for drilling down into all given categories (AND).
`static org.apache.lucene.search.Query` | `query(FacetIndexingParams iParams, org.apache.lucene.search.Query baseQuery, CategoryPath... paths)` Turn a base query into a drilling-down query for all given category paths (AND).
`static org.apache.lucene.search.Query` | `query(FacetSearchParams sParams, CategoryPath... paths)` Return a query for drilling down into all given categories (AND).
`static org.apache.lucene.search.Query` | `query(FacetSearchParams sParams, org.apache.lucene.search.Query baseQuery, CategoryPath... paths)` Turn a base query into a drilling-down query for all given category paths (AND).
`static org.apache.lucene.search.Query` | `query(org.apache.lucene.search.Query baseQuery, CategoryPath... paths)` Turn a base query into a drilling-down query using the default `FacetSearchParams`
`static org.apache.lucene.index.Term` | `term(FacetIndexingParams iParams, CategoryPath path)` Return a term for drilling down into a category.
`static org.apache.lucene.index.Term` | `term(FacetSearchParams sParams, CategoryPath path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrillDown

    public DrillDown()

Method Detail

### term

    public static final org.apache.lucene.index.Term term(FacetSearchParams sParams,
                                                          CategoryPath path)

  See Also:
    `term(FacetIndexingParams, CategoryPath)`

### term

    public static final org.apache.lucene.index.Term term(FacetIndexingParams iParams,
                                                          CategoryPath path)

  Return a term for drilling down into a category.

### query

    public static final org.apache.lucene.search.Query query(FacetIndexingParams iParams,
                                                             CategoryPath... paths)

  Return a query for drilling down into all given categories (AND).

  See Also:
    `term(FacetSearchParams, CategoryPath)`, `query(FacetSearchParams, Query, CategoryPath...)`

### query

    public static final org.apache.lucene.search.Query query(FacetSearchParams sParams,
                                                             CategoryPath... paths)

  Return a query for drilling down into all given categories (AND).

  See Also:
    `term(FacetSearchParams, CategoryPath)`, `query(FacetSearchParams, Query, CategoryPath...)`

### query

    public static final org.apache.lucene.search.Query query(FacetIndexingParams iParams,
                                                             org.apache.lucene.search.Query baseQuery,
                                                             CategoryPath... paths)

  Turn a base query into a drilling-down query for all given category paths (AND).

  See Also:
    `query(FacetIndexingParams, CategoryPath...)`

### query

    public static final org.apache.lucene.search.Query query(FacetSearchParams sParams,
                                                             org.apache.lucene.search.Query baseQuery,
                                                             CategoryPath... paths)

  Turn a base query into a drilling-down query for all given category paths (AND).

  See Also:
    `query(FacetSearchParams, CategoryPath...)`

### query

    public static final org.apache.lucene.search.Query query(org.apache.lucene.search.Query baseQuery,
                                                             CategoryPath... paths)

  Turn a base query into a drilling-down query using the default `FacetSearchParams`

  See Also:
    `query(FacetSearchParams, Query, CategoryPath...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD